Skip to main content
POST
Add tracked keywords

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

project_id
string<uuid>
required

Body

application/json

Request body for adding keywords to a project's tracking list.

keywords
string[]
required

List of keywords to start tracking. Maximum 500 keywords per request. Duplicates are silently ignored.

Required array length: 1 - 500 elements
location_code
integer
required

DataForSEO location code (e.g. 2840 = United States).

language_code
string
required

Language code (e.g., 'en', 'de', 'fr').

Maximum string length: 10
search_engine
string
required

Search engine to track rankings for (e.g. 'google').

Maximum string length: 20
tag_ids
string<uuid>[] | null

Optional list of existing tag UUIDs to assign to all added keywords.

Response

Successful Response

success
boolean
default:true
data
TrackedKeywordResponse · object[] | null